# see http://about.travis-ci.org/docs/user/languages/php/ for more hints
language: php

php:
  - 5.6

addons:
  code_climate:
    repo_token: ab039a3f3942aed0794a0db5e19578e7782a732444fe5e02299191be5bb0eecc

before_script:
  - composer selfupdate
  - composer install

script:
  - vendor/bin/phpunit --coverage-clover build/logs/clover.xml

after_script:
  - php vendor/bin/test-reporter --stdout > cc.json
  - 'curl -X POST -d @cc.json -H "Content-Type: application/json" https://codeclimate.com/test_reports'
